import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ReactDOM from 'react-dom';
import Context from '@s-ui/react-context';
import { Provider as ProviderLegacy } from '@s-ui/react-domain-connector';

var Widget =
/*#__PURE__*/
function (_Component) {
  _inheritsLoose(Widget, _Component);

  function Widget() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Widget.prototype;

  _proto.componentDidMount = function componentDidMount() {
    var _this$props = this.props,
        selector = _this$props.node,
        children = _this$props.children,
        i18n = _this$props.i18n,
        domain = _this$props.domain;
    var node = document.querySelector(selector);

    if (!node) {
      return console.warn("[Widget] unable find the selector " + selector); // eslint-disable-line
    }

    ReactDOM.render(React.createElement(Context.Provider, {
      value: {
        i18n: i18n,
        domain: domain
      }
    }, React.createElement(ProviderLegacy, {
      i18n: i18n,
      domain: domain
    }, children)), node);
  };

  _proto.render = function render() {
    return null;
  };

  return Widget;
}(Component);

export { Widget as default };